# ``TagKit``

TagKit makes it easy to work with tags in `Swift` and `SwiftUI`.



## Overview

![TagKit logo](Logo.png)

Tags and tag views can be customized to fit your specific needs. You can change the slug format and tag any custom models, and when presenting tags you can apply custom styling and use any views you like.



## Supported Platforms

TagKit supports `iOS 13`, `macOS 11`, `tvOS 13` and `watchOS 6`.



## Installation

TagKit can be installed with the Swift Package Manager:

```
https://github.com/danielsaidi/TagKit.git
```

or with CocoaPods:

```
pod TagKit
```

You can also clone the repository and build the library locally.



## About this documentation

The online documentation is currently iOS-specific. To generate documentation for other platforms, open the package in Xcode, select a simulator then run `Product/Build Documentation`.



## License

TagKit is available under the MIT license.



## Topics

### Articles

- <doc:Getting-Started>

### Types

- ``Slugifiable``
- ``SlugConfiguration``
- ``Taggable``

### Views

- ``TagCapsule``
- ``TagCapsuleStyle``
- ``TagEditList``
- ``TagList``
- ``TagListContainer``
- ``TagTextField``
